🚧 [Experimental] List data transfers
Returns transfers in the specified collection or the current DataLens tenant.
Request
POST
https://api.datalens.tech/rpc/listDataTransfers
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionId": "example",
"pageSize": "example",
"pageToken": "example",
"filter": [
"example"
]
}
|
Name |
Description |
|
collectionId |
Type: string Collection to list. When omitted, lists transfers in the current DataLens tenant. Min length: Example: |
|
filter |
Type: string[] Filtering is not supported; only an empty array is accepted. Max items: Example
|
|
pageSize |
Type: string Maximum number of transfers, encoded as a string. The default is 100. Pattern: Example: |
|
pageToken |
Type: string Next-page token from the preceding response. Example: |
Responses
200 OK
Response
Body
application/json
{
"transfers": [
{
"id": "example",
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdById": "example",
"updatedAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedById": "example",
"status": "TRANSFER_STATUS_UNSPECIFIED",
"labels": {},
"config": {
"source": {},
"destination": {
"endpoint": "icebergNamespace",
"icebergNamespace": {}
},
"type": {},
"tables": [
"example"
]
}
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
nextPageToken |
Type: string Token for the next page of transfers. Example: |
|
transfers |
Type: DataTransfer[] Transfers matching the request. Example
|
DataTransferIncrementalTable
|
Name |
Description |
|
cursorColumn |
Type: string Column used to detect new and changed rows. Example: |
|
initialState |
Type: string Initial cursor value for the first transfer run. Example: |
|
tableName |
Type: string Name of the source table. Example: |
|
tableNamespace |
Type: string Namespace or schema of the source table. Example: |
Example
{
"tableNamespace": "example",
"tableName": "example",
"cursorColumn": "example",
"initialState": "example"
}
DataTransfer
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
cloudEnvironmentId |
Type: string ID of the associated cloud environment. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
collectionId |
Type: string ID of the DataLens collection that contains the transfer. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
config |
Type: object
Transfer configuration. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||
|
createdAt |
Type: object
Time when the transfer was created. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||
|
createdById |
Type: string ID of the user who created the transfer. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
description |
Type: string Description of the transfer. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
id |
Type: string ID of the transfer. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
labels |
Type: object
Transfer labels. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||
|
name |
Type: string Name of the transfer. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
status |
Type: string Current status of the transfer. Enum: |
||||||||||||||||||||||||||||||||||||||||||||||||||
|
updatedAt |
Type: object
Time when the transfer was last updated. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||
|
updatedById |
Type: string ID of the user who last updated the transfer. Example: |
Example
{
"id": "example",
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdById": "example",
"updatedAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedById": "example",
"status": "TRANSFER_STATUS_UNSPECIFIED",
"labels": {},
"config": {
"source": {
"endpoint": "postgresConnection",
"postgresConnection": {
"connectionId": "example",
"database": "example"
}
},
"destination": {
"endpoint": "icebergNamespace",
"icebergNamespace": {
"namespaceId": "example"
}
},
"type": {
"type": "regular",
"regular": {
"cronExpression": "example",
"tables": [
null
]
}
},
"tables": [
"example"
]
}
}